Payment API Requests
Version 1.0
POST https://api-dev.cruisepay.finance/api/v1/payment
Authentication - Generating an API Key
-
1. Account Creation & Password Generation :
- After Successful Onboarding, the client will receive a 'Merchant Account Setup' email to form their credentials for the Cruisepay Merchant Application.
- The merchant must open the email, click the activation link, and create a secure password to activate their account.
- Once the password has been successfully set, the account is activated, Visit the merchant profile, devmerchant.cruisepay.finance login using their registered email address and newly created password. After successful authentication, the Merchant Dashboard opens, providing access to all available features and services.
-
2. Open the API Credentials Module :
- Navigate to Integration β API Credentials from the left sidebar.
- The page displays API integration options and security information.
-
3. Generate Payment API Credentials (Applies for S2S)
- Click the Generate button under the Payment API section.
- A confirmation popup appears asking whether to generate new API credentials.
-
4. Confirm Generated Payment API Credentials
- Click Generate API Key to continue. The system processes the request.
- A success message confirms that the API credentials have been generated successfully.
- Merchant can either download & copy the credentials for further use. The newly created credentials become available for integration.
-
5. Generate Hosted Public Identifier Key (Applies for Hosted Page)
- Click the Generate button in the Hosted Page section. Confirm the action in the popup dialog.
- A success notification confirms the Hosted Checkout credentials are generated successfully.
- Merchant can either download & copy the credentials for further use. The credentials are now ready for use.
-
6. Credential History - Integration Ready
- View previously generated credentials along with their:
- Status
- Generated Date
- Last Updated Date
- Available Actions
- The generated credentials can now be used to integrate the CruisePay Payment API or Hosted Checkout with your application.
- View previously generated credentials along with their:
- API keys are displayed only once after generation and cannot be viewed again.
- We do not store your API Secret Key. Save it securely before leaving this page.
- Treat your API keys like passwords. Do not share them or expose them in client-side code.
- Regenerating an API key immediately revokes the existing key.
- All integrations using the revoked key will stop working until updated with the new key.
- Update all applications and services with the newly generated key after regeneration.
- Generate or regenerate API keys only when necessary to avoid service interruptions.
- If you suspect a key has been compromised, regenerate it immediately and update all integrations.
Request Parameters
Payment Details
Customerβs payment method.
CARD or GOOGLEPAY or APPLEPAY (Only as given)
CARD
Amount of the transaction.
The format depends on the currency exponent.
100.5
Payment Currency
3 Letter Currency Code
USD
Transasction ID assigned by Merchant.
Minimum length of 7 characters.
ABC123
Card Details
Card primary account number (PAN).
All non-numeric characters will be ignored.
Minimum length of 7 characters.
4000000000000002
Card Expiry Month - 2 Digits only
08
Card Expiry Year - last 2 Digits of the year value only
29
CVV Code - 3 Digits or 4 (for AMEX)
123
Customer Identity
Customer's First Name.
A Maximum of 50 Characters allowed
Sherlock
Customer's Last Name.
A Maximum of 50 Characters allowed
Holmes
Customer's Phone Number
Min 7 digits - Max 18 digits - No need to enter country code.
6549873215
Billing Details
Customer's Address
Min 3 & Max 45 characters
221 B, Baker Street
Customer's City
Min 3 & Max 45 characters
London
Customer's State
Min 2 & Max 45 characters
State
Customer's Zip Code
Only Alpha Numeric values allowed
NW16XE
Customer's Country Code
2-letter country code
UK
Network Information
IP address (IPv4 or IPv6)
192.168.1.1
Redirects & Webhooks
URL to redirect Customer after processing
Https://abcwebsite.com
API endpoint to receive the payment status
To know either Success or Failure
Https://abcwebsite.com/returnurl
API endpoint to receive the callbacks for refunds
If empty, refund callbacks will be send to statusurl.
Https://abcwebsite.com/refundcallbackurl
API endpoint to receive the callbacks for chargeback
If empty, chargeback callbacks will be send to statusurl.
Https://abcwebsite.com/chargebackCallbackUrl
API endpoint to receive the callbacks for fraud warnings
If empty, fraud warning callbacks will be send to statusurl.
Https://abcwebsite.com/fraudCallbackUrl
Payload Structure
{
"paymentMethod": "CARD",
"amount": "66.00",
"currency": "USD",
"invoiceNumber": "abcd1234",
"cardNumber": "4000000000000002",
"expMonth": "05",
"expYear": "28",
"cvv": "123",
"firstName": "Sherlock",
"lastName": "Holmes",
"email": "[email protected]",
"phone": "9876543210",
"address": "221B Baker Street",
"city": "London",
"state": "State",
"zip": "NW16XE",
"country": "UK",
"ip": "192.168.5.6",
"returnUrl": "https://www.clientsite.com",
"statusUrl": "https://clientsite.com/api/statusurl",
"refundCallbackUrl": "https://clientsite.com/api/refundCallbackUrl",
"chargebackCallbackUrl": "https://clientsite.com/api/chargebackCallbackUrl",
"fraudCallbackUrl": "https://clientsite.com/api/fraudCallbackUrl"
"additionalParameters": {}
}
Callback Responses
Get Status API Request
Version 1.0
GET https://api-dev.cruisepay.finance/api/v1/orderStatus
Get Transaction Status
The Get Transaction Status endpoint requires authentication using Payment API Key. This request returns the current status of a transaction based on the provided identifier.
Requests with missing, expired, or invalid API Keys will receive a 401 Unauthorized response.
Click for more infoRequest Parameters
Invoice Detail
Transasction ID assigned by Merchant.
Minimum length of 7 characters.
ABC123
Payload Structure
{
"invoiceNumber": "abcd1234",
}
Status Callback Responses